Bug 10057 - wrong info about initial piranha password displayed
Summary: wrong info about initial piranha password displayed
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: piranha (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-08 13:47 UTC by Karsten Hopp
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-19 15:35:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2000-03-08 13:47:54 UTC
When I accessed http://localhost/piranha' I got the message
  'the user piranha initially has no password set'
That's wrong, the initial password for user piranha is 'piranha'

Comment 1 Red Hat Bugzilla 2000-03-20 22:15:59 UTC
Reassigned to kbarrett

Comment 2 Red Hat Bugzilla 2000-03-22 19:43:59 UTC
Per agreement with Phil, reassigned to him for response.

Comment 3 Red Hat Bugzilla 2000-03-22 19:53:59 UTC
Ok, this was down to a packaging mistake.
The initial package does indeed have a distributed passwd file in
/home/html/htdocs/piranha/secure/password

The fix is of course to nullify the passwd using
	htpasswd -c -b /home/html/htdocs/piranha/secure/password ""

This was a packaging mistake
The newer rpms of the piranha GUI no not carry the password file but instead
look for it, if found they do nothing, else they create the passwd file with a
null passwd field

Comment 4 Red Hat Bugzilla 2000-04-19 15:35:59 UTC
NOTE: please see errata RHSA-2000:014-02 (Piranha web GUI exposure)


Note You need to log in before you can comment on or make changes to this bug.